
<form (ngSubmit)="onSubmit(formUser.value)" [formGroup]="formUser" novalidate>
    <mat-form-field appearance="fill">
        <mat-label>Name</mat-label>
        <input matInput  formControlName="name" type="text"> 
    </mat-form-field>

    <mat-form-field appearance="fill">
        <mat-label>SurName</mat-label>
        <input matInput  formControlName="surName" type="text"> 
    </mat-form-field>

    
    <mat-form-field appearance="fill" class="width100">
      <mat-label>Phone number</mat-label>
      <input matInput  formControlName="phone_number" type="number"> 
      <mat-icon matSuffix>phone</mat-icon>
    </mat-form-field>


    <mat-form-field appearance="fill" class="width100">
        <mat-label>Date birth</mat-label>
        <input matInput [matDatepicker]="picker" formControlName="date_birth">
        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker  #picker></mat-datepicker>
      </mat-form-field>

    <mat-form-field appearance="fill">
        <mat-label>Years</mat-label>
        <input matInput  formControlName="years" type="number"> 
    </mat-form-field>

    <mat-form-field appearance="fill">
        <mat-label>Education</mat-label>
        <input type="text" matInput formControlName="education" [matAutocomplete]="auto"> 
            <mat-autocomplete #auto="matAutocomplete">
                <mat-option *ngFor="let education of educations" [value]="education">
                    {{ education }}
          </mat-option>
        </mat-autocomplete>
    </mat-form-field>

    <mat-form-field appearance="fill">
        <mat-label>Job</mat-label>
        <input matInput  formControlName="job" type="text"> 
    </mat-form-field>


    <mat-form-field appearance="fill">
        <mat-label>Car</mat-label>
        <mat-select formControlName="car">
          <mat-option [value]="false">No</mat-option>
          <mat-option [value]="true">Yes</mat-option>
        </mat-select>
    </mat-form-field>


    <button type="submit" mat-raised-button [color]="(data.create) ? 'create' : 'edit'" [disabled]="formUser.invalid">Save</button>
</form>
